Package com.omnisci.thrift.server

## Class THardwareInfo

- java.lang.Object
- - com.omnisci.thrift.server.THardwareInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<THardwareInfo>`, `org.apache.thrift.TBase<THardwareInfo,​THardwareInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class THardwareInfo
    extends Object
    implements org.apache.thrift.TBase<THardwareInfo,​THardwareInfo._Fields>, Serializable, Cloneable, Comparable<THardwareInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `THardwareInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TGpuSpecification>` `gpu_info`
`String` `host_name`
`static Map<THardwareInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`short` `num_cpu_hw`
`short` `num_gpu_allocated`
`short` `num_gpu_hw`
`short` `start_gpu`

### Constructor Summary

Constructors
`THardwareInfo()`
`THardwareInfo​(short num_gpu_hw, short num_cpu_hw, short num_gpu_allocated, short start_gpu, String host_name, List<TGpuSpecification> gpu_info)`
`THardwareInfo​(THardwareInfo other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToGpu_info​(TGpuSpecification elem)`
`void` `clear()`
`int` `compareTo​(THardwareInfo other)`
`THardwareInfo` `deepCopy()`
`boolean` `equals​(THardwareInfo that)`
`boolean` `equals​(Object that)`
`THardwareInfo._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(THardwareInfo._Fields field)`
`List<TGpuSpecification>` `getGpu_info()`
`Iterator<TGpuSpecification>` `getGpu_infoIterator()`
`int` `getGpu_infoSize()`
`String` `getHost_name()`
`short` `getNum_cpu_hw()`
`short` `getNum_gpu_allocated()`
`short` `getNum_gpu_hw()`
`short` `getStart_gpu()`
`int` `hashCode()`
`boolean` `isSet​(THardwareInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetGpu_info()` Returns true if field gpu_info is set (has been assigned a value) and false otherwise
`boolean` `isSetHost_name()` Returns true if field host_name is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_cpu_hw()` Returns true if field num_cpu_hw is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_gpu_allocated()` Returns true if field num_gpu_allocated is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_gpu_hw()` Returns true if field num_gpu_hw is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_gpu()` Returns true if field start_gpu is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(THardwareInfo._Fields field, Object value)`
`THardwareInfo` `setGpu_info​(List<TGpuSpecification> gpu_info)`
`void` `setGpu_infoIsSet​(boolean value)`
`THardwareInfo` `setHost_name​(String host_name)`
`void` `setHost_nameIsSet​(boolean value)`
`THardwareInfo` `setNum_cpu_hw​(short num_cpu_hw)`
`void` `setNum_cpu_hwIsSet​(boolean value)`
`THardwareInfo` `setNum_gpu_allocated​(short num_gpu_allocated)`
`void` `setNum_gpu_allocatedIsSet​(boolean value)`
`THardwareInfo` `setNum_gpu_hw​(short num_gpu_hw)`
`void` `setNum_gpu_hwIsSet​(boolean value)`
`THardwareInfo` `setStart_gpu​(short start_gpu)`
`void` `setStart_gpuIsSet​(boolean value)`
`String` `toString()`
`void` `unsetGpu_info()`
`void` `unsetHost_name()`
`void` `unsetNum_cpu_hw()`
`void` `unsetNum_gpu_allocated()`
`void` `unsetNum_gpu_hw()`
`void` `unsetStart_gpu()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### num_gpu_hw

    public short num_gpu_hw

#### num_cpu_hw

    public short num_cpu_hw

#### num_gpu_allocated

    public short num_gpu_allocated

#### start_gpu

    public short start_gpu

#### host_name

    public String host_name

#### gpu_info

    public List<TGpuSpecification> gpu_info

#### metaDataMap

    public static final Map<THardwareInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### THardwareInfo

    public THardwareInfo()

#### THardwareInfo

    public THardwareInfo​(short num_gpu_hw,
                         short num_cpu_hw,
                         short num_gpu_allocated,
                         short start_gpu,
                         String host_name,
                         List<TGpuSpecification> gpu_info)

#### THardwareInfo

    public THardwareInfo​(THardwareInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public THardwareInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<THardwareInfo,​THardwareInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<THardwareInfo,​THardwareInfo._Fields>`

#### getNum_gpu_hw

    public short getNum_gpu_hw()

#### setNum_gpu_hw

    public THardwareInfo setNum_gpu_hw​(short num_gpu_hw)

#### unsetNum_gpu_hw

    public void unsetNum_gpu_hw()

#### isSetNum_gpu_hw

    public boolean isSetNum_gpu_hw()

Returns true if field num_gpu_hw is set (has been assigned a value) and false otherwise

#### setNum_gpu_hwIsSet

    public void setNum_gpu_hwIsSet​(boolean value)

#### getNum_cpu_hw

    public short getNum_cpu_hw()

#### setNum_cpu_hw

    public THardwareInfo setNum_cpu_hw​(short num_cpu_hw)

#### unsetNum_cpu_hw

    public void unsetNum_cpu_hw()

#### isSetNum_cpu_hw

    public boolean isSetNum_cpu_hw()

Returns true if field num_cpu_hw is set (has been assigned a value) and false otherwise

#### setNum_cpu_hwIsSet

    public void setNum_cpu_hwIsSet​(boolean value)

#### getNum_gpu_allocated

    public short getNum_gpu_allocated()

#### setNum_gpu_allocated

    public THardwareInfo setNum_gpu_allocated​(short num_gpu_allocated)

#### unsetNum_gpu_allocated

    public void unsetNum_gpu_allocated()

#### isSetNum_gpu_allocated

    public boolean isSetNum_gpu_allocated()

Returns true if field num_gpu_allocated is set (has been assigned a value) and false otherwise

#### setNum_gpu_allocatedIsSet

    public void setNum_gpu_allocatedIsSet​(boolean value)

#### getStart_gpu

    public short getStart_gpu()

#### setStart_gpu

    public THardwareInfo setStart_gpu​(short start_gpu)

#### unsetStart_gpu

    public void unsetStart_gpu()

#### isSetStart_gpu

    public boolean isSetStart_gpu()

Returns true if field start_gpu is set (has been assigned a value) and false otherwise

#### setStart_gpuIsSet

    public void setStart_gpuIsSet​(boolean value)

#### getHost_name

    public String getHost_name()

#### setHost_name

    public THardwareInfo setHost_name​(String host_name)

#### unsetHost_name

    public void unsetHost_name()

#### isSetHost_name

    public boolean isSetHost_name()

Returns true if field host_name is set (has been assigned a value) and false otherwise

#### setHost_nameIsSet

    public void setHost_nameIsSet​(boolean value)

#### getGpu_infoSize

    public int getGpu_infoSize()

#### getGpu_infoIterator

    public Iterator<TGpuSpecification> getGpu_infoIterator()

#### addToGpu_info

    public void addToGpu_info​(TGpuSpecification elem)

#### getGpu_info

    public List<TGpuSpecification> getGpu_info()

#### setGpu_info

    public THardwareInfo setGpu_info​(List<TGpuSpecification> gpu_info)

#### unsetGpu_info

    public void unsetGpu_info()

#### isSetGpu_info

    public boolean isSetGpu_info()

Returns true if field gpu_info is set (has been assigned a value) and false otherwise

#### setGpu_infoIsSet

    public void setGpu_infoIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(THardwareInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<THardwareInfo,​THardwareInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(THardwareInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<THardwareInfo,​THardwareInfo._Fields>`

#### isSet

    public boolean isSet​(THardwareInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<THardwareInfo,​THardwareInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(THardwareInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(THardwareInfo other)

Specified by:
  `compareTo` in interface `Comparable<THardwareInfo>`

#### fieldForId

    public THardwareInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<THardwareInfo,​THardwareInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`